org.richfaces.component

## Class ExtendedTableColumnsIterator

- java.lang.Object
- - org.richfaces.component.ExtendedTableColumnsIterator

- All Implemented Interfaces:
    java.util.Iterator<UIColumn>
  Direct Known Subclasses:
    SortedColumnsIterator

      public class ExtendedTableColumnsIterator
      extends java.lang.Object
      implements java.util.Iterator<UIColumn>

  Columns iterator that work exactly like org.richfaces.component.ColumnsIterator but raw type is `UIColumn` instead of `UIComponent`
  Author:
    pawelgo
  See Also:
    `ColumnsIterator`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.Iterator<javax.faces.component.UIComponent>` | `childrenIterator`
    `protected boolean` | `initialized`
    `protected UIColumn` | `next`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExtendedTableColumnsIterator(UIExtendedDataTable dataTable)` Creates iterator for table.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `hasNext()`
    `UIColumn` | `next()`
    `protected UIColumn` | `nextColumn()`
    `void` | `remove()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### childrenIterator

          protected java.util.Iterator<javax.faces.component.UIComponent> childrenIterator

    - #### next

          protected UIColumn next

    - #### initialized

          protected boolean initialized

  - ### Constructor Detail

    - #### ExtendedTableColumnsIterator

          public ExtendedTableColumnsIterator(UIExtendedDataTable dataTable)

      Creates iterator for table.
      Parameters:
        `dataTable` - table for which iterator is created

  - ### Method Detail

    - #### hasNext

          public boolean hasNext()

      Specified by:
        `hasNext` in interface `java.util.Iterator<UIColumn>`

    - #### next

          public UIColumn next()

      Specified by:
        `next` in interface `java.util.Iterator<UIColumn>`

    - #### nextColumn

          protected UIColumn nextColumn()

    - #### remove

          public void remove()

      Specified by:
        `remove` in interface `java.util.Iterator<UIColumn>`

Copyright © 2013. All Rights Reserved.